Subject: [alpine-aports] [PATCH] testing/perl-apache-session-ldap: new aport

From: [email-masked]
Date: Wed, 25 Nov 2015 05:52:43 +0000

From: Xavier Guimard <[email-masked]>

https://metacpan.org/pod/Apache::Session::LDAP
An implementation of Apache::Session using LDAP
---
 testing/perl-apache-session-ldap/APKBUILD | 41 +++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/perl-apache-session-ldap/APKBUILD

diff --git a/testing/perl-apache-session-ldap/APKBUILD b/testing/perl-apache-session-ldap/APKBUILD
new file mode 100644
index 0000000..7b7e4b0
--- /dev/null
+++ b/testing/perl-apache-session-ldap/APKBUILD
@@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: 
+# Maintainer: Xavier Guimard <[email-masked]>
+pkgname=perl-apache-session-ldap
+_pkgreal=Apache-Session-LDAP
+pkgver=0.4
+pkgrel=0
+pkgdesc="An implementation of Apache::Session"
+url="https://metacpan.org/pod/Apache::Session::LDAP"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-ldap perl-apache-session"
+cpanmakedepends="   "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="https://cpan.metacpan.org/authors/id/C/CO/COUDOT/Apache-Session-LDAP-0.4.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	make && make test
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="491e6389ef71822c0eeda7fe4019a569  Apache-Session-LDAP-0.4.tar.gz"
+sha256sums="394ad609a12d4f8290cb96797cc7251b614664a2cc28be8da9ac9d53df62dadc  Apache-Session-LDAP-0.4.tar.gz"
+sha512sums="284986fe2fec0298b43c587816e18c56ee4197097438abdc5a5ad8035844ef1d412c848bea8385269b59f3d4f718b098a1ba0b34866b39dd19bc3018b0bbc227  Apache-Session-LDAP-0.4.tar.gz"
-- 
2.4.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---